Boot-up option 'Start or install Ubuntu' scares new users

Bug #109064 reported by Phil Bull on 2007-04-22
26
Affects Status Importance Assigned to Milestone
Ubuntu CD Images
Undecided
Colin Watson
casper (Ubuntu)
Medium
Unassigned
Gutsy
Medium
Unassigned
ubuntu-meta (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: ubuntu-live

According to an ubuntu-marketing post [1], the menu shown when the computer is booted from an Ubuntu live CD scares users, as they think that selecting the 'Start or Install Ubuntu' option might install Ubuntu without asking them, destroying their current OS in the process. Of course, this isn't the case; it just starts the live CD.

The wording of the menu option should be changed to safeguard against worrying people.

[1] - https://lists.ubuntu.com/archives/ubuntu-marketing/2007-April/001891.html

ElementC (elementc) wrote :

I would confirm, but it doesn't feel right because I'm such a new bugswatter. However, that particular string does annoy me a lot. A good alternative would be "Start the Ubuntu LiveCD" or "Start in Live mode, without affecting your Hard Disk." It's a little wordy, but at least that string is a little less intimidating.

-E/C

Mike Feravolo (feravolo) wrote :

After giving the Ubuntu Disks to people in the Cocoa Beach, Melbourne and Orlando Florida Areas. A few people got back to me and said that they were afraid that to use the disk, because it may destroy everything on their computer. So I decided to see what the other other people on the marketing team thought of this. Appearing to me to be more of a marketing issue then a bug in the software, since the purpose of giving away the disks is to "Get Ubuntu Out There".

I was also think about submitting the bug report on this issue myself, even though I don't believe that this issue has anything to do with programming.

Phil Bull (philbull) wrote :

Bugs aren't just about 'programming' issues, they're a way of tracking problems with the distribution, whatever the problem may be. It's common practice to file bugs against translations, documentation and other assets (such as the Ubuntu website) for example. If you find a problem with Ubuntu, please don't hesitate to report it just because it isn't a software problem.

Back to the problem, it seems that the simplest solution would be to have two menu entries which result in an identical live CD session, e.g.

 1. Try Ubuntu without installing it
 2. Install Ubuntu

Both options would do the same thing.

Phil Bull wrote:
> Bugs aren't just about 'programming' issues, they're a way of tracking
> problems with the distribution, whatever the problem may be. It's common
> practice to file bugs against translations, documentation and other
> assets (such as the Ubuntu website) for example. If you find a problem
> with Ubuntu, please don't hesitate to report it just because it isn't a
> software problem.
>
> Back to the problem, it seems that the simplest solution would be to
> have two menu entries which result in an identical live CD session, e.g.
>
> 1. Try Ubuntu without installing it
> 2. Install Ubuntu
>
> Both options would do the same thing.
>

yes., or
1. Try Ubuntu without installing it
2. When running- Includes Option to actually install if you wish
--
alan cocks
Kubuntu user#10391

ElementC (elementc) on 2007-04-24
Changed in ubuntu-meta:
status: Unconfirmed → Confirmed
ElementC (elementc) wrote :

This bug has lost potential users before my own eyes. Confirmed.

Mike Feravolo (feravolo) wrote :

The easiest way to address this is to use an iso editor and change the text in the file: isolinux.cfg before buring your own CD's. Of course this is also the place it would need to be changed officially. I have a short explaination of how to do this on both my Ubuntu Wiki page: MikeFeravolo and on a prototype wiki page below:

http://wiki.gs:51000/mediawiki/index.php/Ubuntu_Live_CD

Mike Feravolo
Cocoa Beach, Florida

Changed in ubuntu-meta:
importance: Undecided → Medium
LTSmash (lord-ltsmash) wrote :

Ok, I believe the same. Why dont we just add some kind of "Note" where it explains that the CD is actually a Live-CD and it won't write to the disk unless its asked to do so? Anyway, the MKT team should arrange this...

Michael Rooney (mrooney) wrote :

While "Start the Ubuntu LiveCD" and "Start in Live mode, without affecting your Hard Disk" both would probably scare a user less, now neither of those options say anything about installing. If I boot from an OS CD and none of the options are "Install", I think I am going to be a little confused.

I like the idea of having a little description appear below whichever option is selected, which would just very briefly explain the details of that option, including (for the first option) that it won't change anything on your computer and will give you the option to install from the desktop.

candtalan (aeclist) wrote :

Charles wrote:
> While "Start the Ubuntu LiveCD" and "Start in Live mode, without
> affecting your Hard Disk" both would probably scare a user less, now
> neither of those options say anything about installing. If I boot from
> an OS CD and none of the options are "Install", I think I am going to be
> a little confused.

'Live CD (can install)' or similar simple title would be ok
--
alan cocks
Kubuntu user#10391

candtalan (aeclist) wrote :

Charles wrote:
> While "Start the Ubuntu LiveCD" and "Start in Live mode, without
> affecting your Hard Disk" both would probably scare a user less, now
> neither of those options say anything about installing. If I boot from
> an OS CD and none of the options are "Install", I think I am going to be
> a little confused.

'Live CD (can install)'
'Live CD with install option'
or similar simple title would be ok
--
alan cocks
Kubuntu user#10391

Mike Feravolo (feravolo) wrote :

How about something short and to the point like:

  "Try Ubuntu"

Mike Feravolo

Brian Rogers (brian-rogers) wrote :

I agree with being short and to the point, but 'Try Ubuntu' sounds kind of commercial, like it's shareware. How about simply 'Start Ubuntu'? Users will see the install option once it's booted.

Mike Feravolo (feravolo) wrote :

Giving this a bit more thought; I think that "Start Ubuntu" is still too ambiguous and could scary people off. The whole idea of giving away disks as a method of promoting Ubuntu is to get people to try it. Then just say "Try Ubuntu" if that is what you want them to do.

As far as looking "Commercial" is concerned, the link below addresses that issue better then I can:

http://www.gnu.org/philosophy/words-to-avoid.html

Peace

What about "Launch Ubuntu"?

It gives the impression that they are launching a program and reduces the illusion of risk? Everyone launches a program every day. It would be more friendly, plus were going along with the whole launchpad moniker. Lol.

What about "Use Ubuntu"?

What about "Preview Ubuntu"?

What about "Test Ubuntu"?

What about "Experience Ubuntu"?

What about "Fire Up Ubuntu"?

What about "Meditate on Ubuntu"?

What about simply "Ubuntu"?

What about "Ubuntu LiveCD: "Like an Old DOS Floppy Only Better""?

Ok I'm done brainstorming. My favorite is "Launch Ubuntu".

Thanks For Reading,
Spenser

ChrisKelley (ckelley) wrote :

imho, preview ubuntu as a first choice. Would be great if another was "install ubuntu" OR do like the kubuntu cd, where the installer is on the desktop of the live cd... :)

This is kinda weird, but I like the kubuntu install better. Feels better than the ubuntu gutsy i've been doing over and over to my Dell D630. (it's hardware is too new to do anything easily :P )

fyi: i turned my secretary/gal friday at work on to kubuntu. She's got a 2 year old dell and other than having to remove 810i video and installing i915, there was no trouble at all. She's very happy with the switch. The latest malware in windoze is what helped her switch.

Loye Young (loyeyoung) wrote :

I agree that wording should be changed.

IMHO, a sentence or three of explanation is good in this context. Programmers are accustomed to writing tersely, but non-technical folks need more coaching.

Here's a suggestion:

"Option 1 starts Ubuntu without changing your system in any way. If you decide you want to install Ubuntu permanently on your system, simply double click on the Install icon found on the Ubuntu desktop. If you decide not to install Ubuntu yet, simply eject the disk and reboot your computer to return to the current operating system."

Loye Young
http://www.iycc.biz
Laredo, Texas

Colin Watson (cjwatson) wrote :

I'm moving this to the ubuntu-cdimage project and rejecting the tasks on casper and ubuntu-meta, neither of which controls this text.

Changed in casper:
status: Confirmed → Invalid
Changed in ubuntu-meta:
status: New → Invalid
Colin Watson (cjwatson) wrote :

I think I agree with this, and I feel the best option is probably to remove "or install". We originally used the "Start or install Ubuntu" text because we wanted to emphasise that the live CD would let you do an installation too, but this may not be as necessary now as it was in Dapper.

I'm going to ask around a little bit first, though.

Changed in ubuntu-cdimage:
assignee: nobody → kamion
status: New → Confirmed

On Wed, Aug 08, 2007 at 09:51:25AM -0000, Colin Watson wrote:
> I think I agree with this, and I feel the best option is probably to
> remove "or install". We originally used the "Start or install Ubuntu"
> text because we wanted to emphasise that the live CD would let you do an
> installation too, but this may not be as necessary now as it was in
> Dapper.
>
> I'm going to ask around a little bit first, though.

Notably, someone recently pointed out that in the WinFOSS UI, no clear hint
is given that the CD can be used for installation (only to "try" Ubuntu). I
don't know whether "start" there would effectively get the message across as
well.

--
 - mdz

candtalan (aeclist) wrote :

Matt Zimmerman wrote:
> On Wed, Aug 08, 2007 at 09:51:25AM -0000, Colin Watson wrote:
>> I think I agree with this, and I feel the best option is probably to
>> remove "or install". We originally used the "Start or install Ubuntu"
>> text because we wanted to emphasise that the live CD would let you do an
>> installation too, but this may not be as necessary now as it was in
>> Dapper.
>>
>> I'm going to ask around a little bit first, though.
>
> Notably, someone recently pointed out that in the WinFOSS UI, no clear hint
> is given that the CD can be used for installation (only to "try" Ubuntu). I
> don't know whether "start" there would effectively get the message across as
> well.

It is useful to get the full message across, but the existing terse
words are frightening to real newcomers.
A boolean start 'OR' Install is fine for some cognoscenti. I know of
real cases where people have avoided its use simply because they can
not trust the risk in those words.

Even a terse 'Run live CD (with option to install)' would avoid the
problem.
As the Ubuntu coverage increases, we must expect more real newcomers
to try it. A live CD is a concept of great value from Linux. It is
totally opposite to the concept of 'put the CD in and it will
Install'! These two major and very different facilities need to be
offered with care and be distinguished as being different.

A long time windows user will expect that a CD cannot be *trusted*,
and it will install at the first opportunity. This is particularly the
case for a 'Free' CD.

Please let us be clear enough to (non boolean) readers that the Live
CDs are SAFE.
  --
alan cocks
Kubuntu user#10391

Matt Zimmerman (mdz) wrote :

On Wed, Aug 08, 2007 at 11:25:57AM -0000, candtalan wrote:
> Matt Zimmerman wrote:
> > On Wed, Aug 08, 2007 at 09:51:25AM -0000, Colin Watson wrote:
> >> I think I agree with this, and I feel the best option is probably to
> >> remove "or install". We originally used the "Start or install Ubuntu"
> >> text because we wanted to emphasise that the live CD would let you do an
> >> installation too, but this may not be as necessary now as it was in
> >> Dapper.
> >>
> >> I'm going to ask around a little bit first, though.
> >
> > Notably, someone recently pointed out that in the WinFOSS UI, no clear hint
> > is given that the CD can be used for installation (only to "try" Ubuntu). I
> > don't know whether "start" there would effectively get the message across as
> > well.
>
> It is useful to get the full message across, but the existing terse
> words are frightening to real newcomers.
> A boolean start 'OR' Install is fine for some cognoscenti. I know of
> real cases where people have avoided its use simply because they can
> not trust the risk in those words.
>
> Even a terse 'Run live CD (with option to install)' would avoid the
> problem.

Perhaps, but it has its own problems. "live CD" is jargon; a user who is
new to Linux is unlikely to know what that means. "Run Ubuntu" or simply
"Start" would be better. I like your idea of indicating the possibility of
installation as a secondary activity, though.

--
 - mdz

candtalan (aeclist) wrote :

Matt Zimmerman wrote:
> On Wed, Aug 08, 2007 at 11:25:57AM -0000, candtalan wrote:
>> Matt Zimmerman wrote:
>> > On Wed, Aug 08, 2007 at 09:51:25AM -0000, Colin Watson wrote:
>> >> I think I agree with this, and I feel the best option is probably to
>> >> remove "or install". We originally used the "Start or install Ubuntu"
>> >> text because we wanted to emphasise that the live CD would let you do an
>> >> installation too, but this may not be as necessary now as it was in
>> >> Dapper.
>> >>
>> >> I'm going to ask around a little bit first, though.
>> >
>> > Notably, someone recently pointed out that in the WinFOSS UI, no clear hint
>> > is given that the CD can be used for installation (only to "try" Ubuntu). I
>> > don't know whether "start" there would effectively get the message across as
>> > well.
>>
>> It is useful to get the full message across, but the existing terse
>> words are frightening to real newcomers.
>> A boolean start 'OR' Install is fine for some cognoscenti. I know of
>> real cases where people have avoided its use simply because they can
>> not trust the risk in those words.
>>
>> Even a terse 'Run live CD (with option to install)' would avoid the
>> problem.
>
> Perhaps, but it has its own problems. "live CD" is jargon; a user who is
> new to Linux is unlikely to know what that means. "Run Ubuntu" or simply
> "Start" would be better. I like your idea of indicating the possibility of
> installation as a secondary activity, though.

Yes, point taken
--
alan cocks
Kubuntu user#10391

Hello:

It's a great idea to use the "Live-CD" as a method of promoting Ubuntu to users of other operating systems.

Why does the "Live-CD" have any questions at all and just boot up into the Ubuntu Desktop and then be done with it.

An Icon on the Desktop that says something like "Install Ubuntu Now", should let people that it hasn't been installed yet.

If someone already knows that they what to install Ubuntu, then they need to get an "Installation CD". Which is the one that should ask questions, like "Start Ubuntu in Live Mode", "Install Ubuntu", "Check Memory", "Repair Broken Installation" . . . .

People don't need to think about options if they never seen Ubuntu in the first place. When they load it in computer that is running Windows have it tell them that it will not hurt there computer and all the have to do is restart and enjoy.

Mike Feravolo

Mike Feravolo wrote:
> Hello:
>
> It's a great idea to use the "Live-CD" as a method of promoting Ubuntu
> to users of other operating systems.
>
> Why does the "Live-CD" have any questions at all and just boot up into
> the Ubuntu Desktop and then be done with it.
>
> An Icon on the Desktop that says something like "Install Ubuntu Now",
> should let people that it hasn't been installed yet.
>
> If someone already knows that they what to install Ubuntu, then they
> need to get an "Installation CD". Which is the one that should ask
> questions, like "Start Ubuntu in Live Mode", "Install Ubuntu", "Check
> Memory", "Repair Broken Installation" . . . .
>
> People don't need to think about options if they never seen Ubuntu in
> the first place. When they load it in computer that is running Windows
> have it tell them that it will not hurt there computer and all the have
> to do is restart and enjoy.

our main target audience are established windows users. They have good
reason to be frightened of anything messing up their windows
configuration. It is such a nightmare to reinstall etc. Talking to
just ordinary windpsws users, they common factor I see is thi fear,
real anxiety.

They will try something new if they are clear that it can not cause
them harm.
--
alan cocks
Kubuntu user#10391

RobertSolfrid (robertsolfrid) wrote :

How about something really simple...
1. Run Ubuntu from CD
2. Install Ubuntu to Hard Drive

or to be even more clear...
1. Run Ubuntu from CD (does not touch hard drive)
2. Install Ubuntu to Hard Drive

simple, straight forward, and not at all confusing.

Matt Zimmerman (mdz) wrote :

mpt, I think you originally recommended this text. Do you have a further opinion on whether it needs revision?

Hello:

Sounds Good to me !

Mike Feravolo

-----Original Message-----
>From: RobertSolfrid <email address hidden>
>Sent: Aug 19, 2007 11:10 PM
>To: <email address hidden>
>Subject: [Bug 109064] Re: Boot-up option 'Start or install Ubuntu' scares new users
>
>How about something really simple...
>1. Run Ubuntu from CD
>2. Install Ubuntu to Hard Drive
>
>or to be even more clear...
>1. Run Ubuntu from CD (does not touch hard drive)
>2. Install Ubuntu to Hard Drive
>
>simple, straight forward, and not at all confusing.
>
>--
>Boot-up option 'Start or install Ubuntu' scares new users
>https://bugs.launchpad.net/bugs/109064
>You received this bug notification because you are a direct subscriber
>of the bug.

Matthew Paul Thomas (mpt) wrote :

If I did originally recommend that text, I apologize, and offer it as an example of the importance of usability testing.

I agree with trying "Start Ubuntu" instead. That has the possible problems that (1) it may lead people who fear installation to choose "Start Ubuntu in safe graphics mode" instead (because they read it as a "safe mode" that is also graphical), and (2) it may lead people who already want installation to choose "Install with driver update CD" instead.

My next choice would be "Test-drive Ubuntu", which would likely eliminate problem #1, but worsen problem #2. An alternative method of reducing problem #1 would be to rename "safe graphics mode" to "basic graphics mode".

On Mon, Sep 03, 2007 at 07:34:18AM -0000, Matthew Paul Thomas wrote:
> If I did originally recommend that text, I apologize, and offer it as an
> example of the importance of usability testing.
>
> I agree with trying "Start Ubuntu" instead. That has the possible
> problems that (1) it may lead people who fear installation to choose
> "Start Ubuntu in safe graphics mode" instead (because they read it as a
> "safe mode" that is also graphical), and (2) it may lead people who
> already want installation to choose "Install with driver update CD"
> instead.
>
> My next choice would be "Test-drive Ubuntu", which would likely
> eliminate problem #1, but worsen problem #2. An alternative method of
> reducing problem #1 would be to rename "safe graphics mode" to "basic
> graphics mode".

I think we may be able to eliminate safe graphics mode as a top-level option
thanks to Bryce's work on bullet-proof X, but I'm not sure.

#2 is the worst of the lot, though, I think. There are many Linux live CDs
out there which cannot be used to install, and so it's important that the
user realize that is the proper choice if they want to install it.

I'm thinking about something like:

Start Ubuntu
Load driver update CD

and wondering whether we should add some text after the first option to
remind the user that installation is available.

--
 - mdz

Warbo (warbo) wrote :

Just something I've noticed, the idea of "installation" is actually an assumption. There is nothing to say that Ubuntu *must* be "installed", therefore people looking for an install option are applying experience with different systems to Ubuntu, which may not be applicable.

What I mean is, anyone wanting to install Ubuntu would not be put off by an option saying "Start Ubuntu", either because they know about Ubuntu and therefore its installation-from-live-cd feature, or they don't know about Ubuntu and would probably appreciate the live session being there so they can try it out without having to install first, and when they do try it out they'll see the Install icon sitting on the desktop.

Therefore I personally think that "Start Ubuntu" is all that is needed, since it wouldn't scare or confuse new users about installation, and it would be the obvious option to use for people who are assuming it needs installation (as long as no other option could be interpreted as "install"). The latter argument might not be as strong if wording like "Test drive Ubuntu" (which implies it is not the right option for those who want it permanently) or "Start live Ubuntu session" (for similar reasons) is used.

I think keeping the options simple would get rid of a lot of anxiety, since many computer users are not frightened that the computer will do something bad, but that *they will choose the wrong thing*, thus having options like "Start Ubuntu", "Start Ubuntu in minimal mode", "Check disc for errors", etc. would make the right option incredibly clear, and it is this clarity that is important to make sure people aren't second-guessing themselves and trying to interpret the option names in every possible way to make sure they aren't looking at it the wrong way (it's quite hard to second-guess "Start Ubuntu")

Matt Zimmerman (mdz) wrote :

On Mon, Sep 03, 2007 at 12:32:01PM -0000, Warbo wrote:
> What I mean is, anyone wanting to install Ubuntu would not be put off by
> an option saying "Start Ubuntu", either because they know about Ubuntu
> and therefore its installation-from-live-cd feature, or they don't know
> about Ubuntu and would probably appreciate the live session being there
> so they can try it out without having to install first, and when they do
> try it out they'll see the Install icon sitting on the desktop.

You're not considering the population of users who know that they want to
install this thing, but don't know that "Start Ubuntu" gives them that
opportunity. Most folks adopting Ubuntu have some experience with operating
systems (replacing one's OS is a big commitment, and that's how most people
get Ubuntu these days), and know that they need to be installed.

This is especially confusing as there are many Linux distributions which
have a separate CD for "starting" (live operation) and "installing".

--
 - mdz

candtalan (aeclist) wrote :

Matt Zimmerman wrote:
> On Mon, Sep 03, 2007 at 07:34:18AM -0000, Matthew Paul Thomas wrote:
>> If I did originally recommend that text, I apologize, and offer it as an
>> example of the importance of usability testing.
>>
>> I agree with trying "Start Ubuntu" instead. That has the possible
>> problems that (1) it may lead people who fear installation to choose
>> "Start Ubuntu in safe graphics mode" instead (because they read it as a
>> "safe mode" that is also graphical), and (2) it may lead people who
>> already want installation to choose "Install with driver update CD"
>> instead.
>>
>> My next choice would be "Test-drive Ubuntu", which would likely
>> eliminate problem #1, but worsen problem #2. An alternative method of
>> reducing problem #1 would be to rename "safe graphics mode" to "basic
>> graphics mode".
>
> I think we may be able to eliminate safe graphics mode as a top-level option
> thanks to Bryce's work on bullet-proof X, but I'm not sure.
>
> #2 is the worst of the lot, though, I think. There are many Linux live CDs
> out there which cannot be used to install, and so it's important that the
> user realize that is the proper choice if they want to install it.
>
> I'm thinking about something like:
>
> Start Ubuntu
> Load driver update CD
>
> and wondering whether we should add some text after the first option to
> remind the user that installation is available.

Yes I favour that:

" Start Ubuntu (includes option for install)"

would cover all concerns I have come across

--
alan cocks
Kubuntu user#10391

On Monday 03 September 2007 13:49:57 Matt Zimmerman wrote:
> This is especially confusing as there are many Linux distributions which
> have a separate CD for "starting" (live operation) and "installing".
> --
> - mdz

Even Ubuntu worked like that for a while.
But the more recent versions only use one CD.

--
BUGabundo :o)
(``-_-´´) http://Ubuntu.BUGabundo.net
Linux user #443786 GPG key 1024D/A1784EBB

How about the concept of seeking out windows computer users at a
campus and simply asking them their thoughts? When I recently chose
kubuntu, it was after seeking out a change from windows. If I had
stumbled upon ubuntu on my own before I was motivated and wanting to
switch, none of what I read here would have helped me to " try "
linux.

:-/

--
Chris Kelley
President
www.ca-cycleworks.com

On 9/3/07, BUGabundo <email address hidden> wrote:
> On Monday 03 September 2007 13:49:57 Matt Zimmerman wrote:
> > This is especially confusing as there are many Linux distributions which
> > have a separate CD for "starting" (live operation) and "installing".
> > --
> > - mdz
>
> Even Ubuntu worked like that for a while.
> But the more recent versions only use one CD.
>
>
> --
> BUGabundo :o)
> (``-_-´´) http://Ubuntu.BUGabundo.net
> Linux user #443786 GPG key 1024D/A1784EBB
>
> --
> Boot-up option 'Start or install Ubuntu' scares new users
> https://bugs.launchpad.net/bugs/109064
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Matthew Paul Thomas (mpt) wrote :

I didn't know there were many distributions with non-installable live CDs. In that case, I suggest "Test-drive or install Ubuntu". While this follows the same pattern as the original text, "test-drive" is more explicit than "start". (Along the same lines, I also suggest changing the CD packaging so that "use Ubuntu as a live CD" becomes "test-drive Ubuntu", etc.)

ChrisKelley (ckelley) wrote :

Hi Matthew,

I like the words test drive.

Something that wouldn't scare me so much to "try" would be a menu like:

Ubuntu
- Test Drive Ubuntu (without any change to your computer)
- Install Ubuntu
- [other options]
- [...]

That's something I would try at my desk without fear of harming my
fragile windows setup. Seriously, people who are most likely to switch
to linux are those who are the most fearful of harming their windows
configuration. I can't wait to get our production PC off of winXP, but
we're working on it one step at a time. Messing with that computer is
almost a fire-able offense around here.

:) Chris

--
Chris Kelley
President
California Cycleworks, Inc
www.ca-cycleworks.com
619/501-2466

On 9/3/07, Matthew Paul Thomas <email address hidden> wrote:
> I didn't know there were many distributions with non-installable live
> CDs. In that case, I suggest "Test-drive or install Ubuntu". While this
> follows the same pattern as the original text, "test-drive" is more
> explicit than "start". (Along the same lines, I also suggest changing
> the CD packaging so that "use Ubuntu as a live CD" becomes "test-drive
> Ubuntu", etc.)
>
> --
> Boot-up option 'Start or install Ubuntu' scares new users
> https://bugs.launchpad.net/bugs/109064
> You received this bug notification because you are a direct subscriber
> of the bug.
>

candtalan (aeclist) wrote :

ChrisKelley wrote:
> Hi Matthew,
>
> I like the words test drive.
>
> Something that wouldn't scare me so much to "try" would be a menu like:
>
> Ubuntu
> - Test Drive Ubuntu (without any change to your computer)
> - Install Ubuntu
> - [other options]
> - [...]
>
> That's something I would try at my desk without fear of harming my
> fragile windows setup. Seriously, people who are most likely to switch
> to linux are those who are the most fearful of harming their windows
> configuration. I can't wait to get our production PC off of winXP, but
> we're working on it one step at a time. Messing with that computer is
> almost a fire-able offense around here.

I support the suggestion that many who would like to use ubuntu and
escape from windows are terrified of disturbing their windows
configuration. Fear and insecurity is endemic with these windows
users, particularly if they have data (or time) they do not want to
loose. Allaying that fear is important for these users who may have a
lot to loose.

My own first steps to linux were on an old 'junk' machine, a low risk
choice for me, and two things impressed me
1) that it installed so remarkably easily, I was genuinely shocked,
2) that because I had accepted all the defaults during install
(blindly, as one does in a windows world), the junk windows 95 on the
'junk' hard drive had been carefully preserved as dual boot, when I
had wanted and expected it to be totally wiped! (at that time it was
not ubuntu).

It gave me much confidence in linux that even 'junk' data would be
cared for until I made a conscious decision.

I know now that it was a little unrealistic when it later came to
using su.... but as a raw beginner in a GUI installer, it impressed me
with what a caring OS linux might be!

For whatever reason I was totally hooked from then on. :-)
--
alan cocks
Kubuntu user#10391

Michael Rooney (mrooney) wrote :

In Hardy Alpha 5 I see there is an option to try ubuntu without changing your computer, and an option to Install, which are essentially the same except Install auto-launches the Install application. This seems like the optimal solution that was discussed. Is it time to mark this as Fix Committed?

Colin Watson (cjwatson) wrote :

Right, I'd forgotten about this particular bug report (there were others ...). This has indeed been fixed as Charles describes.

gfxboot-theme-ubuntu (0.5.3) hardy; urgency=low

  * Rename "Start or install $PROJECT" to "Try $PROJECT without any change
    to your computer"; "Install in text mode" to "Install $PROJECT in text
    mode"; "Install to the hard disk" to "Install $PROJECT"; and "Memory
    test" to "Test memory". See
    https://wiki.ubuntu.com/HardyBootloaderReview for context.
  * Allow the boot parameters line to occupy the full width of the screen
    (LP: #27676) and handle redraws on language change better.
  * Allow menu options to use more horizontal space, and centre them on the
    screen.
  * Implement "label NAME", "append NAME", "replace NAME", and "applies
    NAME" options in gfxboot.cfg. These are used to implement a new Modes
    menu, which replaces the video menu on F4. The intent is that that this
    should reduce the bewildering array of top-level menu options, while
    still allowing the less usual options to be selected easily. Many
    strings have been changed accordingly.
  * Display a message at the bottom of the menu to indicate that alternative
    modes may be selected using F4.
  * Fix glitch in translate function that sometimes left the original string
    on the stack.

 -- Colin Watson <email address hidden> Thu, 14 Feb 2008 02:51:18 +0000

revno: 1275
committer: Colin Watson <email address hidden>
branch nick: debian-cd
timestamp: Thu 2008-02-14 02:56:00 +0000
message:
  implement menu structure changes from hardy-bootloader-review; requires gfxboot-theme-ubuntu (>= 0.5.3)

Changed in ubuntu-cdimage:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers